Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathLinetoHorizontalRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoHorizontalRel:
[legend]
Collaboration diagram for Magick::PathLinetoHorizontalRel:
[legend]

## Public Member Functions
| PathLinetoHorizontalRel (double x_)
| ~PathLinetoHorizontalRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | x (double x_)
double | x (void) const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 3001 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathLinetoHorizontalRel()

Magick::PathLinetoHorizontalRel::PathLinetoHorizontalRel | ( | double | x_ | ) |
| inline

Definition at line 3004 of file Drawable.h.

## ◆ ~PathLinetoHorizontalRel()

Magick::PathLinetoHorizontalRel::~PathLinetoHorizontalRel | ( | void |  | ) |

Definition at line 2393 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathLinetoHorizontalRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2401 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathLinetoHorizontalRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2397 of file Drawable.cpp.

## ◆ x() [1/2]

void Magick::PathLinetoHorizontalRel::x | ( | double | x_ | ) |
| inline

Definition at line 3017 of file Drawable.h.

## ◆ x() [2/2]

double Magick::PathLinetoHorizontalRel::x | ( | void |  | ) | const
| inline

Definition at line 3021 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp